% generates a set of num probabilities above 
% the generalised lower probability L given functionals fnals
function probs = gridProbs (n, fnals, L, d)
	p(n) = 0;
	pr = [];
	k=1;
	while p(2) < 1-d
 		st = n; 	
		while p(st) > 1-d
			p(st) = 0; 
			st = st-1;
        end
		p(st) = p(st)+d;
		p(1) = 0;
		p(1) = 1-sum(p);
		if (all(fnals*p' >= L')) && (p(1)>=0)
			pr(k, :) = p;
			k = k+1;
        end
    end
	probs = pr;
