% transforms coordinates of a probability on the set 
% with three elements to two diomensional coordinates, 
% used to create graphical presentation of the 
% probability simplex
function retk = prob3dto2d (probs)
if isempty(probs)
    tk = [];
else
    parfor i = 1:length(probs)
        tk(i, :) = [(probs(i, 3)+2*probs(i, 2))/3^(0.5), probs(i, 3)];
    end
end
retk = tk;
